
From: Eugene Surovegin <ebs@ebshome.net>

This patch adds missing exports for __dma_sync and __dma_sync_page (DMA API
helpers for non-coherent cache PPCs).

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/dma-mapping.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc/kernel/dma-mapping.c~ppc32-export-__dma_sync-__dma_sync_page arch/ppc/kernel/dma-mapping.c
--- 25/arch/ppc/kernel/dma-mapping.c~ppc32-export-__dma_sync-__dma_sync_page	Tue Aug 17 14:42:44 2004
+++ 25-akpm/arch/ppc/kernel/dma-mapping.c	Tue Aug 17 14:42:44 2004
@@ -381,6 +381,7 @@ void __dma_sync(void *vaddr, size_t size
 		break;
 	}
 }
+EXPORT_SYMBOL(__dma_sync);
 
 #ifdef CONFIG_HIGHMEM
 /*
@@ -438,3 +439,4 @@ void __dma_sync_page(struct page *page, 
 	__dma_sync((void *)start, size, direction);
 #endif
 }
+EXPORT_SYMBOL(__dma_sync_page);
_
